/* ---------  CLASSIFIER MODELS -----------*/

#define NEAREST_NEIGHBOR	0
#define LINEAR_MACHINE		1
#define MULTIVARIATE_GAUSSIAN	2
#define RBF			3
#define PARZEN			4
#define Q_STAR			5
#define MLP			6
#define YUC			7	/* New classifier */

/* Set it minus one if you do not want 'YUC'	*/
#define NUM_CLASS_MODELS 8		/* always update when joining new */


typedef struct class_models_ {
        int index;
        str80 name;
	boolean induced;
} class_models;


/* ---------  CLASSIFICATION RESULTS -----------*/
#define CORRECT_CLASS (-1)
#define REJECT_CLASS (-2)
#define UNDEFINED_CLASS (-3)
